%define name 		kdirstat
%define Name 		KDirStat
%define version 	2.3.7
%define release 	1mdk
%define summary	%{Name} is a graphical disk usage utility, very much like the Unix du command.

Summary:   %{summary}
Name:      %{name}
Version:   %{version}
Release:   %{release}
URL:	    http://kdirstat.sourceforge.net/
Source:    %{name}-%{version}.tar.bz2
License:   GPL
Group:     File tools
Distribution: 	Mandrake Linux
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires:	libart_lgpl2-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libexpat-devel
BuildRequires:	libfam-devel
BuildRequires:	libfontconfig1-devel
BuildRequires:	freetype2-devel
BuildRequires:	XFree86-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libqt3-devel
BuildRequires:	zlib-devel

%description
%{Name} is a graphical disk usage utility, very much like the
Unix du command. In addition to that, it comes with some cleanup 
facilities to reclaim disk space.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 "
./configure --prefix=%{_prefix} --disable-rpath --libdir=%{_libdir}

make

%install
%makeinstall_std
# make DESTDIR=$RPM_BUILD_ROOT install

# menu
install -D -m 644 kdirstat/hi16-app-kdirstat.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 kdirstat/hi32-app-kdirstat.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 kdirstat/hi32-app-kdirstat.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}"\
	needs="X11"\
	icon="%{name}.png"\
	section="Applications/File tools"\
	title="%{Name}"\
	longtitle="%{Name}"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog TODO INSTALL README
%{_bindir}/kdirstat
%{_datadir}/apps/kdirstat
%{_datadir}/applnk/*/kdirstat*
%{_datadir}/doc/HTML/*/kdirstat/
%{_datadir}/icons/??color/??x??/*/kdirstat*
%_menudir/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue May 27 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.3.7-1mdk
- 2.3.7 (~10*faster according to author)
- Do menus in install (so it short-circuits)

* Thu Apr 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.3.6-2mdk
- add real changlog
- use %%find_lang
- add %%defattr
- cleanup

* Wed Apr 09 2003 Sir Pingus <pingus77@ifrance.com> 2.3.6-1mdk
- first release
